com.corticon.service.ccserver

## Interface ICcRuleMessages

-     public interface ICcRuleMessages

  `ICcRuleMessages` is the interface for the set of business rule messages posted during the processing of a request.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List` | `getMessages()` `getMessages` returns a List of `ICcRuleMessage` objects posted while processing the request.
    `java.lang.String` | `getVersion()` `getVersion` returns a the version number of the decision service that posted the messages.
    `java.lang.String` | `toString()` Invokes `toString(0)`
    `java.lang.String` | `toString(int aiTabs)` `toString` returns formatted text containing the state of all the messages contained.

- - ### Method Detail

    - #### getVersion

          java.lang.String getVersion()

      `getVersion` returns a the version number of the decision service that posted the messages.
      Returns:
        String - The version number of the decision service that posted the messages

    - #### getMessages

          java.util.List getMessages()

      `getMessages` returns a List of `ICcRuleMessage` objects posted while processing the request.
      Returns:
        List - a Collection of ICcRuleMessage objects
      See Also:
        `ICcRuleMessage`

    - #### toString

          java.lang.String toString()

      Invokes `toString(0)`
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        String - the formatted message.

    - #### toString

          java.lang.String toString(int aiTabs)

      `toString` returns formatted text containing the state of all the messages contained.
      Parameters:
        `aiTabs` - - The number of tabs to prepend to each line of the output.
      Returns:
        String - the formatted message.

Copyright © 2005-2018 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.